DevExtreme jQuery/JS - OData Service

To bind the Funnel to data provided by an OData service, use the ODataStore.

JavaScript
  • $(function() {
  • $("#funnelContainer").dxFunnel({
  • dataSource: new DevExpress.data.DataSource({
  • store: {
  • type: 'odata',
  • url: 'http://www.example.com/dataservices/odata/targetData',
  • key: 'Id'
  • },
  • paginate: false
  • }),
  • argumentField: 'arg',
  • valueField: 'val'
  • });
  • });

As you may notice, in the previous code, the ODataStore is not declared explicilty. Instead, it is wrapped in the DataSource instance. That is because the Funnel requires pagination to be off in order to prevent data from partitioning. Other than that, the DataSource provides wide data-processing capabilities. For example, it can filter data.

JavaScript
  • $(function() {
  • $("#funnelContainer").dxFunnel({
  • dataSource: new DevExpress.data.DataSource({
  • store: {
  • type: 'odata',
  • url: 'http://www.example.com/dataservices/odata/targetData',
  • key: 'Id'
  • },
  • paginate: false,
  • filter: [
  • ['Id', '>=', 6],
  • ['Id', '<=', 8]
  • ]
  • }),
  • argumentField: 'arg',
  • valueField: 'val'
  • });
  • });
See Also

DevExtreme Angular - OData Service

To bind the Funnel to data provided by an OData service, use the ODataStore.

TypeScript
HTML
  • import { DxFunnelModule } from "devextreme-angular";
  • import "devextreme/data/odata/store";
  • import DataSource from "devextreme/data/data_source";
  • // ...
  • export class AppComponent {
  • funnelDataSource = new DataSource({
  • store: {
  • type: 'odata',
  • url: 'http://www.example.com/dataservices/odata/targetData',
  • key: 'Id'
  • },
  • paginate: false
  • });
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxFunnelModule
  • ],
  • // ...
  • })
  • <dx-funnel
  • [dataSource]="funnelDataSource"
  • argumentField="arg"
  • valueField="val">
  • </dx-funnel>

As you may notice, in the previous code, the ODataStore is not declared explicilty. Instead, it is wrapped in the DataSource instance. That is because the Funnel requires pagination to be off in order to prevent data from partitioning. Other than that, the DataSource provides wide data-processing capabilities. For example, it can filter data.

TypeScript
HTML
  • import { DxFunnelModule } from "devextreme-angular";
  • import "devextreme/data/odata/store";
  • import DataSource from "devextreme/data/data_source";
  • // ...
  • export class AppComponent {
  • funnelDataSource = new DataSource({
  • store: {
  • type: 'odata',
  • url: 'http://www.example.com/dataservices/odata/targetData',
  • key: 'Id'
  • },
  • paginate: false,
  • filter: [
  • ['Id', '>=', 6],
  • ['Id', '<=', 8]
  • ]
  • });
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxFunnelModule
  • ],
  • // ...
  • })
  • <dx-funnel
  • [dataSource]="funnelDataSource"
  • argumentField="arg"
  • valueField="val">
  • </dx-funnel>
See Also